package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.MesAlterRecordMapper;
import com.ruoyi.business.domain.MesAlterRecord;
import com.ruoyi.business.service.IMesAlterRecordService;
import com.ruoyi.common.core.text.Convert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author wms
 * @date 2022-10-10
 */
@Service
public class MesAlterRecordServiceImpl extends ServiceImpl<MesAlterRecordMapper, MesAlterRecord> implements IMesAlterRecordService
{
    @Autowired
    private MesAlterRecordMapper mesAlterRecordMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public MesAlterRecord selectMesAlterRecordById(String id)
    {
        return mesAlterRecordMapper.selectMesAlterRecordById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param mesAlterRecord 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<MesAlterRecord> selectMesAlterRecordList(MesAlterRecord mesAlterRecord)
    {
        return mesAlterRecordMapper.selectMesAlterRecordList(mesAlterRecord);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param mesAlterRecord 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertMesAlterRecord(MesAlterRecord mesAlterRecord)
    {
        return mesAlterRecordMapper.insertMesAlterRecord(mesAlterRecord);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param mesAlterRecord 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateMesAlterRecord(MesAlterRecord mesAlterRecord)
    {
        mesAlterRecord.setUpdateTime(DateUtils.getNowDate());
        return mesAlterRecordMapper.updateMesAlterRecord(mesAlterRecord);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteMesAlterRecordByIds(String ids)
    {
        return mesAlterRecordMapper.deleteMesAlterRecordByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteMesAlterRecordById(String id)
    {
        return mesAlterRecordMapper.deleteMesAlterRecordById(id);
    }
}
